Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.svg
Interface SVGStringList

public interface SVGStringList

Method Summary
`java.lang.String` | `appendItem(java.lang.String newItem)`
`void` | `clear()`
`java.lang.String` | `getItem(int index)`
`int` | `getNumberOfItems()`
`java.lang.String` | `initialize(java.lang.String newItem)`
`java.lang.String` | `insertItemBefore(java.lang.String newItem, int index)`
`java.lang.String` | `removeItem(int index)`
`java.lang.String` | `replaceItem(java.lang.String newItem, int index)`

Method Detail

### getNumberOfItems

    public int getNumberOfItems()

### clear

    public void clear()
               throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### initialize

    public java.lang.String initialize(java.lang.String newItem)
                                throws org.w3c.dom.DOMException,
                                       SVGException

  Throws:
    `org.w3c.dom.DOMException`
    `SVGException`

### getItem

    public java.lang.String getItem(int index)
                             throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### insertItemBefore

    public java.lang.String insertItemBefore(java.lang.String newItem,
                                             int index)
                                      throws org.w3c.dom.DOMException,
                                             SVGException

  Throws:
    `org.w3c.dom.DOMException`
    `SVGException`

### replaceItem

    public java.lang.String replaceItem(java.lang.String newItem,
                                        int index)
                                 throws org.w3c.dom.DOMException,
                                        SVGException

  Throws:
    `org.w3c.dom.DOMException`
    `SVGException`

### removeItem

    public java.lang.String removeItem(int index)
                                throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### appendItem

    public java.lang.String appendItem(java.lang.String newItem)
                                throws org.w3c.dom.DOMException,
                                       SVGException

  Throws:
    `org.w3c.dom.DOMException`
    `SVGException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.